[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Gnumed-devel] Re: Gnumed Installation on Ubuntu Intrepid

From: Karsten Hilbert
Subject: [Gnumed-devel] Re: Gnumed Installation on Ubuntu Intrepid
Date: Tue, 10 Feb 2009 13:33:26 +0100
User-agent: Mutt/1.5.18 (2008-05-17)

On Tue, Feb 10, 2009 at 05:45:13PM +0530, Biswajit Dutta Baruah wrote:

> Sorry I forgot to send you the link in launchpad. 
no problem, found it

> Please find the log of the error attached when i attempt connecting to
> the public gnumed server.
will look into that

> I have run the net installation script only to face errors.
I am uploading a fixed bootstrapper script which should work
on your machine, too, now

> I have postgresql installed and properly configured such that I am able
> to use it to create tables and create users with 'postgres' id. Is that
> not enough for a gnumed installation?? I have it configured according to
> the gnumed wiki site as well. I believe the error relates to postgresql.
> The exact steps I have detailed in launchpad.
Yes, thanks, they helped to find the problem:

The bootstrapper checked for UTF-8 only while it should also accept UTF8.

I believe you are almost good to go !

The log:

> 2009-02-10 17:18:13  INFO      gm.launcher 
> (/var/lib/python-support/python2.5/Gnumed/wxpython/<module>() 
> #380): Python 2.5.2 (r252:60911, Oct  5 2008, 19:24:49) 
> [GCC 4.3.2] on linux2 (posix)
You are saying you run Intrepid. Are you on 64 bit or 32 bit ?

> 2009-02-10 17:18:13  INFO      gm.database 
> (/var/lib/python-support/python2.5/Gnumed/pycommon/<module>() #41): 
> psycopg2 version: 2.0.8 (dec mx dt ext pq3)
Good. This works for me on Debian.

> 2009-02-10 17:18:16  INFO      gm.main 
> (/var/lib/python-support/python2.5/Gnumed/wxpython/<module>() 
> #78): wxPython GUI framework: ('__WXGTK__', 'wxGTK', 'unicode', 
> 'gtk2', 'wx-assertions-off', 'SWIG-1.3.29')
> 2009-02-10 17:18:16  INFO      gm.main 
> (/var/lib/python-support/python2.5/Gnumed/wxpython/<module>() 
> #79): GNUmed client version [0.3.9] on branch [0.3]
Both good.

> 2009-02-10 17:18:42  ERROR     gm.person 
> (/var/lib/python-support/python2.5/Gnumed/business/ 
> #762): cannot instantiate staff instance
> Traceback (most recent call last):
>   File "/var/lib/python-support/python2.5/Gnumed/business/", line 
> 760, in __init__
>     rows, idx = gmPG2.run_ro_queries(queries = [{'cmd': cmd}], 
> get_col_idx=True, verbose=True)
>   File "/var/lib/python-support/python2.5/Gnumed/pycommon/", line 
> 815, in run_ro_queries
>     data = curs.fetchall()
>   File "/usr/lib/python2.5/site-packages/psycopg2/", line 60, in 
> fetchall
>     return _cursor.fetchall(self)
> DataError: unable to parse time

Arrgh !   This is the third time we see this problem. It is
a problem of the combination of Ubuntu Intrepid, psycopg2 in
Intrepid and the public GNUmed database (which is running
Debian/Testing with PostgreSQL 8.3). We will try to debug
this but it is very tricky because we cannot reproduce it so

I should stress that this is NOT a bug in GNUmed but we will
try to work around it anyway.

Please open a bug on launchpad !

GPG key ID E4071346 @
E167 67FD A291 2BEA 73BD  4537 78B9 A9F9 E407 1346

reply via email to

[Prev in Thread] Current Thread [Next in Thread]